%if 0
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
%endif

@import url("chrome://global/skin/global.css");
@namespace html url("http://www.w3.org/1999/xhtml");

/* View buttons */
#viewGroup > radio {
  list-style-image: url("chrome://browser/skin/pageInfo.png");
  -moz-appearance: none;
  min-width: 4.5em;
  margin: 0;
  padding: 3px;
  color: -moz-FieldText;
}

#viewGroup > radio[selected="true"] {
  background-color: Highlight;
  color: HighlightText;
}

#viewGroup > radio > .radio-label-box {
  padding: 0 6px;
}

#topBar {
  border-bottom: 1px solid ThreeDShadow;
  padding-inline-start: 10px;
  background-color: -moz-Field;
  color: -moz-FieldText;
}

#generalTab {
  -moz-image-region: rect(0px, 32px, 32px, 0px)
}

#mediaTab {
  -moz-image-region: rect(0px, 64px, 32px, 32px)
}

#permTab {
  -moz-image-region: rect(0px, 128px, 32px, 96px)
}

#securityTab {
  -moz-image-region: rect(0px, 160px, 32px, 128px)
}

#mainDeck {
  padding-inline: 2px;
}

#mainDeck {
  padding: 10px;
}

/* Misc */
tree {
  margin: .5em;
}

html|input {
  background: transparent;
  border: none;
  padding: 0;
}

html|input.header {
  margin-inline-start: 0;
}

#imagecontainerbox {
  margin: .5em;
  background: white;
  overflow: auto;
  border: 1px solid ThreeDLightShadow;
}

html|input:disabled {
  font-style: italic;
}

/* General Tab */
#generalPanel > #titletext {
  margin-inline-start: 5px;
}

#securityBox description {
  margin-inline-start: 10px;
}

#general-security-identity {
  white-space: pre-wrap;
  line-height: 2em;
}

/* Media Tab */
#imagetree {
  min-height: 10em;
  margin-block: 2px 0;
}

#mediaSplitter {
  -moz-appearance: none;
  height: .8em;
}

#mediaTable {
  margin-bottom: 2em;
}

#mediaLabelColumn {
  min-width: 10em;
}

#thepreviewimage {
  margin: 1em;
}

treechildren::-moz-tree-cell-text(broken) {
  font-style: italic;
  color: graytext;
}

/* Permissions Tab */

#permList {
  -moz-appearance: listbox;
  margin: .5em;
  overflow: auto;
  color: -moz-FieldText;
}

.permission {
  padding: 6px 7px;
  min-height: 25px;
  border-bottom: 1px dotted ThreeDShadow;
}

.permissionLabel {
  font-weight: bold;
}

.permission:hover {
  background-color: -moz-dialog;
  color: -moz-DialogText;
}

/* Security Tab */

#securityPanel table {
  margin-bottom: 1em;
}
